# Generated by Django 3.2.7 on 2021-10-15 20:58

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Customer',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('birth_date', models.DateField(null=True)),
                ('creation_date', models.DateField(null=True)),
                ('phone_number', models.CharField(blank=True, max_length=12, null=True)),
                ('bank', models.CharField(max_length=100)),
                ('account_number', models.CharField(max_length=20)),
                ('account_type', models.CharField(max_length=100)),
                ('image', models.ImageField(upload_to='customers')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
